/**********************************************************************************************************
* File: xyzdefines.h
* By: Chris Wittmier @ Sensitronics LLC
* LastRev: 03/29/2015
* Description: Global macros / pin defs / operation parameters for XYZPadTutorial
**********************************************************************************************************/
#ifndef xyzdefines_h
#define xyzdefines_h


/**********************************************************************************************************
* PIN MAPPING / ADJUSTABLE PARAMS
**********************************************************************************************************/
#define TERMINAL_OUTPUT      1      //if defined, output readings as terminal text ("X, Y, Z \n")
//#define PROCESSING_OUTPUT  1      //if defined, format packet to communicate with Processing sketch (graphic output)

#define PIN_XPLUS    A0
#define PIN_XMINUS   A1
#define PIN_YPLUS    A2
#define PIN_YMINUS   A3

#define Z_CONTACT_THRESHOLD       5  //below force threshold, no output happens - without this threshold, floating inputs will result in bogus position reports
#define DELAY_AFTER_SEND          1  //msec to wait between reports, otherwise the Arduino terminal window gets all crashy
#define AVERAGE_COUNT             5  //consecutive samples to average to achieve very basic smoothing filter

#define FLIP_X_AXIS   0
#define FLIP_Y_AXIS   0
#define FLIP_Z_AXIS   1


/**********************************************************************************************************
* GLOBAL MACROS
**********************************************************************************************************/
#define AXIS_COUNT  3

#define X_AXIS      0
#define Y_AXIS      1
#define Z_AXIS      2




#endif
